Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023981
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-06-04 16:012013-06-18 13:44
ReporterOrekariaView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP24
StatusclosedFix in branchFixed in SCM revision301a17fe080a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023981: Layaways. The behavior of the POS is different if an overpayment is made by card or by cash,

DescriptionLayaways. The behavior of the POS is different is an overpayment is made by card or by cash,
Steps To ReproduceCreate a new receipt
Set as layaway
Tap the total amount button
Overpay the receipt by card and by cash
The layaway button is shown/hiden in different ways.
Proposed SolutionI suppose the layaway button must be shown even is there is an overpayment
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059275)
hgbot (developer)
2013-06-07 13:30

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 301a17fe080a517794ba10bbf5c8299fe34c54b3
Author: Rafa Alonso <ral <at> openbravo.com>
Date: Fri Jun 07 13:30:12 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/301a17fe080a517794ba10bbf5c8299fe34c54b3 [^]

Fixed issue 0023981: Layaway button disappears when overpayment

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0059335)
hgbot (developer)
2013-06-11 13:25

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 301a17fe080a517794ba10bbf5c8299fe34c54b3
Author: Rafa Alonso <ral <at> openbravo.com>
Date: Fri Jun 07 13:30:12 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/301a17fe080a517794ba10bbf5c8299fe34c54b3 [^]

Fixed issue 0023981: Layaway button disappears when overpayment

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0059490)
guilleaer (developer)
2013-06-18 13:44

verified

- Issue History
Date Modified Username Field Change
2013-06-04 16:01 Orekaria New Issue
2013-06-04 16:01 Orekaria Assigned To => marvintm
2013-06-04 16:02 Orekaria Summary Layaways. The behavior of the POS is different is an overpayment is made by card or by cash, => Layaways. The behavior of the POS is different if an overpayment is made by card or by cash,
2013-06-07 13:30 hgbot Checkin
2013-06-07 13:30 hgbot Note Added: 0059275
2013-06-07 13:30 hgbot Status new => resolved
2013-06-07 13:30 hgbot Resolution open => fixed
2013-06-07 13:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/301a17fe080a517794ba10bbf5c8299fe34c54b3 [^]
2013-06-11 13:25 hgbot Checkin
2013-06-11 13:25 hgbot Note Added: 0059335
2013-06-11 13:25 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/301a17fe080a517794ba10bbf5c8299fe34c54b3 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/301a17fe080a517794ba10bbf5c8299fe34c54b3 [^]
2013-06-18 13:44 guilleaer Review Assigned To => guilleaer
2013-06-18 13:44 guilleaer Note Added: 0059490
2013-06-18 13:44 guilleaer Status resolved => closed
2013-06-18 13:44 guilleaer Fixed in Version => RMP24


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker